#include "compiler.h"
#include "fw.h"
#include "picorv32.h"
#include "irq.h"

/* Spurious interrupt; just mask it */
IRQHANDLER(spurious)
{
    mask_irq(vector);
}

#define IRQENTRY(name,irqn,irqbase,irqcount)	\
  IRQHANDLER_DECL(name) \
    __attribute__((weak,alias("irqhandler_spurious")));

#include "irqtable.h"
